## matchit 0.1

=== DESCRIPTION ===
Package: MatchIt
Version: 0.1-8
Date: 2004-08-30
Title: MatchIt
Author: Daniel Ho <daniel.ho@yale.edu>,
        Elizabeth Stuart <stuart@stat.harvard.edu>,
        Kosuke Imai <kimai@Princeton.Edu>, 
        Gary King <king@harvard.edu>
Maintainer: Daniel Ho <daniel.ho@yale.edu>
Description: MatchIt preprocesses data by selecting approximate matched samples
  of the treated and control groups with similar covariate
  distributions, drawing on a large variety of matching methods.
  After preprocessing data with MatchIt, whatever standard parametric
  technique one might have used without preprocessing can be used, but
  the results will be far less model dependent.
License: GPL
URL: http://gking.harvard.edu/matchit/
Packaged: Fri Oct  8 16:15:47 2004; king

## matchit 1.0

=== DESCRIPTION ===
Package: MatchIt
Version: 1.0-1
Date: 2005-1-3
Title: MatchIt: Nonparametric Preprocessing for Parametric Casual Inference
Author: Daniel Ho <daniel.ho@yale.edu>,
        Kosuke Imai <kimai@Princeton.Edu>, 
        Gary King <king@harvard.edu>,
        Elizabeth Stuart <stuart@stat.harvard.edu>
Maintainer: Daniel Ho <daniel.ho@yale.edu>
Depends: R (>= 2.0)
Suggests: Zelig, optmatch
Description:  MatchIt selects matched samples of the
  the original treated and control groups with similar
  covariate distributions -- can be used to match exactly
  on covariates, to match on propensity scores, or perform 
  a variety of other matching procedures.
License: GPL version 2 or newer
URL: http://gking.harvard.edu/matchit
Packaged: Thu Jan  6 13:44:52 2005; estuart

## matchit 2.2

=== DESCRIPTION ===
Package: MatchIt
Version: 2.2-11
Date: 2006-06-12
Title: MatchIt: Nonparametric Preprocessing for Parametric Casual Inference
Author: Daniel Ho <daniel.e.ho@gmail.com>,
        Kosuke Imai <kimai@Princeton.Edu>, 
        Gary King <king@harvard.edu>,
        Elizabeth Stuart <stuart@stat.harvard.edu>
Maintainer: Kosuke Imai <kimai@Princeton.Edu>
Depends: R (>= 2.2), MASS
Suggests: optmatch, Matching, WhatIf
Description:  MatchIt selects matched samples of the
  the original treated and control groups with similar
  covariate distributions -- can be used to match exactly
  on covariates, to match on propensity scores, or perform 
  a variety of other matching procedures.
LazyLoad: yes
LazyData: yes
License: GPL version 2 or newer
URL: http://gking.harvard.edu/matchit
Packaged: Thu Jul 13 16:25:02 2006; estuart

## matchit 2.4

=== DESCRIPTION ===
Package: MatchIt
Version: 2.4-20
Date: 2011-10-24
Title: MatchIt
Author: Daniel Ho <daniel.e.ho@gmail.com>, Elizabeth Stuart
        <stuart@stat.harvard.edu>, Kosuke Imai <kimai@Princeton.Edu>,
        Gary King <king@harvard.edu>
Maintainer: Kosuke Imai <kimai@Princeton.Edu>
Depends: R (>= 2.7), MASS
Description: MatchIt preprocesses data by selecting approximate matched
        samples of the treated and control groups with similar
        covariate distributions, drawing on a large variety of matching
        methods.  After preprocessing data with MatchIt, whatever
        standard parametric technique one might have used without
        preprocessing can be used, but the results will be far less
        model dependent.
License: GPL (>= 2)
URL: http://gking.harvard.edu/matchit/
Suggests: cem, optmatch, Matching, WhatIf, nnet, rpart, mgcv
Packaged: 2011-10-24 17:22:02 UTC; rbuild
Repository: CRAN
Date/Publication: 2011-10-24 19:02:13

=== vignettes/Makefile ===
all:
	pdflatex matchit
	bibtex matchit
	pdflatex matchit
	pdflatex matchit
matchit.pdf:
	pdflatex matchit
	bibtex matchit
	pdflatex matchit
	pdflatex matchit

## matchit 2.4-13

=== debian/changelog ===
matchit (2.4-13-2) unstable; urgency=low

  * Update for VR bundle split.
  * Pull in additional suggested R packages (mgcv, rpart).

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 12 Apr 2010 23:47:55 -0500

matchit (2.4-13-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 25 Oct 2009 22:13:50 -0500

matchit (2.4-11-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 01 Jul 2009 18:52:12 -0500

matchit (2.4-10-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 16 Mar 2009 22:05:43 -0500

matchit (2.4-5-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 28 Jul 2008 05:47:59 -0500

matchit (2.2-11-2) unstable; urgency=high

  * Add empty postrm to r-other-gking-matchit to make upgrades from sarge
    happy.  (Closes: #410951)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  7 Mar 2007 00:28:28 -0600

matchit (2.2-11-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 17 Jul 2006 20:47:18 -0400

matchit (2.2-10-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  1 Jun 2006 16:15:32 -0400

matchit (2.2-7-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 27 Apr 2006 06:48:36 -0400

matchit (2.2-5-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  8 Dec 2005 08:45:23 -0500

matchit (2.1-4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 16 Oct 2005 15:26:00 -0400

matchit (2.1-3-1) unstable; urgency=low

  * New upstream release.
  * Remove post{rm,inst}, bump depends accordingly.
  * Include build and binary dependencies on r-cran-vr and r-cran-zelig.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  8 Oct 2005 19:56:57 -0400

matchit (1.0-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 25 Aug 2005 01:26:04 -0400

matchit (1.0-1-2) unstable; urgency=low

  * Rename binary package to r-cran-matchit, per R naming policy.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 10 Jun 2005 00:58:56 -0500

matchit (1.0-1-1) unstable; urgency=low

  * New upstream release.
  * Update upstream URL in debian/watch and debian/copyright.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 23 Jan 2005 04:59:53 -0600

matchit (0.1-8-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  9 Oct 2004 21:55:33 -0500

matchit (0.1-5-2) unstable; urgency=low

  * Rebuild for R 2.0.0.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  8 Oct 2004 00:33:21 -0500

matchit (0.1-5-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 15 Aug 2004 23:55:47 -0500

matchit (0.1-4-1) unstable; urgency=low

  * Initial Debian Release.  (Closes: #255309)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 23 Mar 2004 13:07:33 -0600

=== debian/control ===
Source: matchit
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 7), cdbs
Build-Depends-Indep: r-base-dev (>> 2.10.0~1), r-cran-mass, r-cran-nnet, r-cran-mgcv, r-cran-rpart
Standards-Version: 3.8.4
Homepage: http://gking.harvard.edu/matchit/

Package: r-cran-matchit
Architecture: all
Depends: r-base-core (>> 2.10.0~1), r-cran-rpart, r-cran-mass, r-cran-nnet, r-cran-mgcv, ${misc:Depends}
Suggests: r-cran-zelig
Description: GNU R package of nonparametric matching methods
 MatchIt implements the suggestions of Ho, Imai, King, and Stuart
 (2004) for improving parametric statistical models by preprocessing
 data with nonparametric matching methods.
 .
 MatchIt implements a wide range of sophisticated matching methods,
 making it possible to greatly reduce the dependence of causal
 inferences on hard-to-justify, but commonly made, statistical
 modeling assumptions. The software also easily fits into existing
 research practices since, after preprocessing with MatchIt,
 researchers can use whatever parametric model they would have used
 without MatchIt, but produce inferences with substantially more
 robustness and less sensitivity to modeling assumptions. MatchIt is
 an R program, and also works seamlessly within Zelig.

## matchit 2.4-18

=== debian/changelog ===
matchit (2.4-18-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 06 May 2011 13:12:58 -0500

matchit (2.4-17-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 04 Apr 2011 19:47:32 -0500

matchit (2.4-16-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 15 Jan 2011 10:57:54 -0600

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 7), cdbs
 Build-Depends-Indep: r-base-dev (>> 2.10.0~1), r-cran-mass, r-cran-nnet, r-cran-mgcv, r-cran-rpart
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://gking.harvard.edu/matchit/
 
 Package: r-cran-matchit

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk

## We need the CRAN (upstream) name 
cranName	:= $(shell grep Package: DESCRIPTION | cut -f2 -d" ")
## and we need to build a Debian Policy-conformant lower-case package name
cranNameLC	:= $(shell echo $(cranName) | tr "[A-Z]" "[a-z]" | tr "." "-" )
## which we can use to build the package directory 
package		:= r-cran-matchit
## which we use for the to-be-installed-in directory
debRlib		:= $(CURDIR)/debian/$(package)/usr/lib/R/site-library

common-install-indep:: R_any_arch
common-install-arch:: R_any_arch

R_any_arch:
	dh_installdirs		usr/lib/R/site-library
	R CMD INSTALL -l $(debRlib) --clean .
	rm -vf $(debRlib)/R.css $(debRlib)/$(cranNameLC)/COPYING
	rm -vf $(debRlib)/MatchIt/doc/makematchH
	chmod -x $(debRlib)/MatchIt/doc/index.shtml

## matchit 2.4-20

=== debian/changelog ===
matchit (2.4-20-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for R 3.0.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 03 Apr 2013 03:56:53 -0400

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), cdbs
-Build-Depends-Indep: r-base-dev (>> 2.10.0~1), r-cran-mass, r-cran-nnet, r-cran-mgcv, r-cran-rpart
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>> 7), cdbs, r-base-dev (>= 3.0)
+Build-Depends-Indep: r-cran-mass, r-cran-nnet, r-cran-mgcv, r-cran-rpart
+Standards-Version: 3.9.3
 Homepage: http://gking.harvard.edu/matchit/
 
 Package: r-cran-matchit
 Architecture: all
-Depends: r-base-core (>> 2.10.0~1), r-cran-rpart, r-cran-mass, r-cran-nnet, r-cran-mgcv, ${misc:Depends}
+Depends: ${R:Depends}, r-cran-rpart, r-cran-mass, r-cran-nnet, r-cran-mgcv, ${misc:Depends}
 Suggests: r-cran-zelig
 Description: GNU R package of nonparametric matching methods
  MatchIt implements the suggestions of Ho, Imai, King, and Stuart

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

common-binary-post-install-indep::
	rm -vf $(debRlib)/R.css $(debRlib)/$(cranNameLC)/COPYING
	rm -vf $(debRlib)/MatchIt/doc/makematchH
	rm -vf $(debRlib)/MatchIt/doc/Makefile
	chmod -x $(debRlib)/MatchIt/doc/index.shtml

=== debian/watch ===
version=2
http://cran.r-project.org/src/contrib/MatchIt_(.*)\.tar\.gz

## matchit 2.4-21

=== debian/changelog ===
matchit (2.4-21-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 25 Feb 2014 20:34:19 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 7), cdbs, r-base-dev (>= 3.0)
 Build-Depends-Indep: r-cran-mass, r-cran-nnet, r-cran-mgcv, r-cran-rpart
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://gking.harvard.edu/matchit/
 
 Package: r-cran-matchit

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,3 @@
 	rm -vf $(debRlib)/R.css $(debRlib)/$(cranNameLC)/COPYING
 	rm -vf $(debRlib)/MatchIt/doc/makematchH
 	rm -vf $(debRlib)/MatchIt/doc/Makefile
-	chmod -x $(debRlib)/MatchIt/doc/index.shtml
